Bug 238932 - Review Request: python-decoratortools - Use class and function decorators -- even in Python 2.3
Review Request: python-decoratortools - Use class and function decorators -- ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Toshio Kuratomi
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-03 18:35 EDT by Luke Macken
Modified: 2016-09-19 22:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-09 20:53:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
toshio: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2007-05-03 18:35:06 EDT
Spec URL: http://lewk.org/python-decoratortools.spec
SRPM URL: http://lewk.org/python-decoratortools-1.4-1.fc7.src.rpm
Description:
Want to use decorators, but still need to support Python 2.3? Wish you could
have class decorators, decorate arbitrary assignments, or match decorated
function signatures to their original functions? Then you need "DecoratorTools"
Comment 1 Toshio Kuratomi 2007-05-03 21:44:44 EDT
First glance, this line looks suspect::
  %dir %{python_sitelib}/peak/util/decorators.py*

Usually I'd say that we should package peak in order to get the peak/util/
directory.  But it appears that peak is serving as a namespace package for 
decoratortools so I'm not sure what the proper thing to do is.  decoratortools
doesn't acutally require anything else provided by peak, just the directory
structure....
Comment 2 Luke Macken 2007-05-04 00:28:41 EDT
Oops, I didn't mean to put that %dir there.  I removed it and updated the
spec/srpm.  As for the peak namespace, it would be nice to have something else
provide the peak/util, but I don't really see it as too big of a deal --
however, I'm not on the packaging committee.. so it's your call :)
Comment 3 Luke Macken 2007-05-08 18:18:25 EDT
Spec URL: http://lewk.org/python-decoratortools.spec
SRPM URL: http://lewk.org/python-decoratortools-1.4-2.fc7.src.rpm

* Tue May  8 2007 Luke Macken <lmacken@redhat.com> - 1.4-2
- Own the peak namespace, for now.
Comment 4 Toshio Kuratomi 2007-05-08 19:41:30 EDT
Approved

MD5Sums:
20789f305884614948f191ce7458d377  python-decoratortools-1.4-2.fc7.src.rpm

Good:
* rpmlint output:
  W: python-decoratortools invalid-license PSF or ZPL
  W: python-decoratortools invalid-license PSF or ZPL
  PSF is python software foundation license and ZPL is Zope Public License,
  both valid licenses for Fedora.
* Package and spec follow the naming guidelines for Python Modules.
* License filed matches the license of the package and is approved for Fedora.
  (Listed in the PKG-INFO file)
* Source file matches upstream.
* Builds to a noarch package on x86_64 FC6.
* Successfully builds in mock.
* No locale files.
* Not a dynamic library.
* Not relocatable.
* Package owns all directories that it creates.  Note that the
  %{python_sitelib}/peak directory structure is a namespace directory.  Contrary
  to what I said earlier on IRC, this appears to be covered by this:
  http://fedoraproject.org/wiki/Packaging/Guidelines#FileAndDirectoryOwnership
* No duplicate files.
* Proper %clean.
* Consistent use of macros.
* Not a GUI app
* Works for the simple examples included in the documentation.

Minor:
* License text is not included in the upstream package.  Might want to ping
  upstream about including that.
Comment 5 Luke Macken 2007-05-08 21:38:03 EDT
New Package CVS Request
=======================
Package Name: python-decoratortools
Short Description: Use class and function decorators -- even in Python 2.3
Owners: lmacken@redhat.com,toshio@tiki-lounge.com
Branches: FC-6 EL-5
InitialCC: toshio@tiki-lounge.com
Comment 6 Luke Macken 2007-05-09 20:53:51 EDT
Imported, tagged and built.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.